clang 8.0.0

Public Types | Static Public Member Functions | List of all members
llvm::PointerLikeTypeTraits< clang::LazyGenerationalUpdatePtr< Owner, T, Update > > Struct Template Reference

`#include "clang/AST/ExternalASTSource.h"`

## Public Types
enum | { NumLowBitsAvailable = PointerLikeTypeTraits<T>::NumLowBitsAvailable - 1 }
using | Ptr = clang::LazyGenerationalUpdatePtr< Owner, T, Update >

## Static Public Member Functions
static void * | getAsVoidPointer (Ptr P)
static Ptr | getFromVoidPointer (void *P)

## Detailed Description

### template<typename Owner, typename T, void(clang::ExternalASTSource::*)(Owner) Update>
struct llvm::PointerLikeTypeTraits< clang::LazyGenerationalUpdatePtr< Owner, T, Update > >

Definition at line 496 of file ExternalASTSource.h.

## Member Typedef Documentation

## ◆ Ptr

template<typename Owner , typename T , void(clang::ExternalASTSource::*)(Owner) Update>

using llvm::PointerLikeTypeTraits< clang::LazyGenerationalUpdatePtr< Owner, T, Update > >::Ptr = clang::LazyGenerationalUpdatePtr<Owner, T, Update>

Definition at line 498 of file ExternalASTSource.h.

## Member Enumeration Documentation

## ◆ anonymous enum

template<typename Owner , typename T , void(clang::ExternalASTSource::*)(Owner) Update>

anonymous enum

Enumerator
NumLowBitsAvailable |

Definition at line 503 of file ExternalASTSource.h.

## Member Function Documentation

## ◆ getAsVoidPointer()

template<typename Owner , typename T , void(clang::ExternalASTSource::*)(Owner) Update>

static void* llvm::PointerLikeTypeTraits< clang::LazyGenerationalUpdatePtr< Owner, T, Update > >::getAsVoidPointer | ( | Ptr | P | ) |
| inline static

Definition at line 500 of file ExternalASTSource.h.

References clang::LazyGenerationalUpdatePtr< Owner, T, Update >::getOpaqueValue().

## ◆ getFromVoidPointer()

template<typename Owner , typename T , void(clang::ExternalASTSource::*)(Owner) Update>

static Ptr llvm::PointerLikeTypeTraits< clang::LazyGenerationalUpdatePtr< Owner, T, Update > >::getFromVoidPointer | ( | void * | P | ) |
| inline static

Definition at line 501 of file ExternalASTSource.h.

The documentation for this struct was generated from the following file:

- include/clang/AST/ExternalASTSource.h